.rsvp_page_title {
    font-family: "TAN Mon Cheri";
    font-size: 35px;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    cursor: default;
    margin: auto;
}

.rsvp_wrapper {
    height: 100%;
    align-items: center;
    position: relative;
}

input {
    transition: .2s;
}

.rsvp_card {
    width: 600px;
    background-color: white;
    margin: auto;
    position: relative;
    padding: 40px;
}

.rsvp_logo {
    width: 104px;
    user-select: none;
    margin: auto;
    opacity: .8;
}

.please_rsvp {
    text-align: center;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    cursor: default;
    color: #aaa;
    margin-top: 70px;
    font-size: 18px;
    font-family: "Bellefair";
}

.rsvp_name {
    font-family: "Bellefair";
    font-weight: bold;
    font-size: 26px;
    margin: 30px auto auto;
}


.rsvp_pases_label {
    font-family: "Bellefair";
    font-weight: bold;
    font-size: 20px;
    color: var(--color-2);
    margin: auto auto 15px;
}

.rsvp_dropdown {
    font-family: "Bellefair";
    background-color: #fafafa;
    border: 1px solid #a9a9a9;
    box-sizing: border-box;
    height: 46px;
    padding: 10px;
    position: relative;
    width: 130px;
    margin-bottom: 1rem;
    font-size: 18px;
}

.rsvp_form_textarea {
    font-family: "Bellefair";
    border: 1px solid black;
    box-sizing: border-box;
    height: 90px;
    padding: 10px;
    position: relative;
    width: 100%;
    margin-bottom: 1rem;
    font-size: 18px;
    resize: vertical;
    transition: .2s;
}

textarea:focus {
    background: rgba(255, 255, 255, 0.15);
}

.rsvp_done_h {
    font-family: "Bellefair";
    color: white;
    font-size: 32px;
    margin: 35px auto 5px;
    font-weight: bold;
}

.rsvp_done_t1 {
    font-family: "Bellefair";
    font-size: 20px;
    text-align: center;
}

.rsvp_done_t2 {
    font-family: "Bellefair";
    font-size: 20px;
    text-align: center;
    color: #aaa;
}

.rsvp_done_back {
    font-family: "Bellefair";
    color: black;
    font-size: 20px;
    margin: 60px auto 20px;
    display: block;
    background: #fdf1e2;
    width: fit-content;
    padding: 10px 25px;
    text-decoration: none;
    border-radius: 10px;
    display: flex;
    align-items: end;
}

.rsvp_back_arrow {
    margin-right: 15px;
}

.rsvp_back_button_text {
    user-select: none;
}

.rsvp_field_label {
    font-family: "Bellefair";
    color: var(--main-color);
    font-size: 16px;
    margin: .5rem 0rem;
}

.rsvp_form_input {
    font-family: "Bellefair";
    color: black;
    border: black 1px solid;
    box-sizing: border-box;
    height: 46px;
    padding: 10px;
    position: relative;
    width: 100%;
    margin-bottom: 1rem;
    font-size: 18px;
}

.rsvp_login_field {
    color: black;
    border: 2px solid black;
}

input:focus {
    background: rgba(255, 255, 255, 0.15);
}

.rsvp_field_container {
    display: flex;
    flex-wrap: wrap;
    margin: 6vh auto;
}


.rsvp_submit_form_button {
    font-family: "Bellefair";
    font-size: 20px;
    text-align: center;
    margin: 8vh auto auto;
    width: fit-content;
    background: black;
    color: white;
    border: solid 2px white;
    padding: .6rem 5rem;
    transition: .2s ease-in-out;
    user-select: none;
    cursor: pointer;
    display: block;
}

.rsvp_submit_form_button:hover {
    color: black;
    background-color: white;
    border: solid 2px black;
}

.rsvp_submit_form_button_disabled {
    pointer-events: none;
    border: solid 2px #ccc;
    background: white;
    color: #ccc;
}

.rsvp_login_button {
    border: solid 2px black;
    color: black;
}

.rsvp_button_loader {
    width: 25px;
    height: 25px;
    background-color: crimson;
    border-radius: 100%;
    -webkit-animation: sk-scaleout 1.0s infinite ease-in-out;
    animation: sk-scaleout 1.0s infinite ease-in-out;
    margin: auto;
    user-select: none;
}

/* Button Loader */
@-webkit-keyframes sk-scaleout {
    0% { -webkit-transform: scale(0) }
    100% {
        -webkit-transform: scale(1.0);
        opacity: 0;
    }
}

@keyframes sk-scaleout {
    0% { 
        -webkit-transform: scale(0);
        transform: scale(0);
    } 100% {
        -webkit-transform: scale(1.0);
        transform: scale(1.0);
        opacity: 0;
    }
}

@media (min-width: 450px) and (min-height: 900px) {
    .rsvp_field_container {
      flex-wrap: nowrap;
  }
}